<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hssf.record (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hssf.record (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/model/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hssf.record</h1>
    <div class="docSummary">
        <div class="block">Record package contains class representations for XLS binary strutures.</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/BiffHeaderInput.html"
                                            title="interface in org.apache.poi.hssf.record">BiffHeaderInput</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                            title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></td>
                    <td class="colLast">
                        <div class="block">The cell value record interface is implemented by all classes of type Record
                            that
                            contain cell values.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/Margin.html"
                                            title="interface in org.apache.poi.hssf.record">Margin</a></td>
                    <td class="colLast">
                        <div class="block">The margin interface is a parent used to define left, right, top and bottom
                            margins.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/AbstractEscherHolderRecord.html"
                            title="class in org.apache.poi.hssf.record">AbstractEscherHolderRecord</a></td>
                    <td class="colLast">
                        <div class="block">The escher container record is used to hold escher records.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                            title="class in org.apache.poi.hssf.record">ArrayRecord</a></td>
                    <td class="colLast">
                        <div class="block">ARRAY (0x0221)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/AutoFilterInfoRecord.html"
                                            title="class in org.apache.poi.hssf.record">AutoFilterInfoRecord</a></td>
                    <td class="colLast">
                        <div class="block">The AutoFilterInfo record specifies the number of columns that have
                            AutoFilter enabled
                            and indicates the beginning of the collection of AutoFilter records.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/BackupRecord.html"
                                            title="class in org.apache.poi.hssf.record">BackupRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Backup Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/BlankRecord.html"
                                            title="class in org.apache.poi.hssf.record">BlankRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Blank cell record (0x0201)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/BOFRecord.html"
                                            title="class in org.apache.poi.hssf.record">BOFRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Beginning Of File (0x0809)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/BookBoolRecord.html"
                                            title="class in org.apache.poi.hssf.record">BookBoolRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Save External Links record (BookBool)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/BoolErrRecord.html"
                                            title="class in org.apache.poi.hssf.record">BoolErrRecord</a></td>
                    <td class="colLast">
                        <div class="block">Creates new BoolErrRecord.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/BottomMarginRecord.html"
                                            title="class in org.apache.poi.hssf.record">BottomMarginRecord</a></td>
                    <td class="colLast">
                        <div class="block">Record for the bottom margin.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                                            title="class in org.apache.poi.hssf.record">BoundSheetRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Bound Sheet Record (aka BundleSheet) (0x0085)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CalcCountRecord.html"
                                            title="class in org.apache.poi.hssf.record">CalcCountRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Calc Count Record
                            Description: Specifies the maximum times the gui should perform a formula
                            recalculation.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CalcModeRecord.html"
                                            title="class in org.apache.poi.hssf.record">CalcModeRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Calc Mode Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CellRecord.html"
                                            title="class in org.apache.poi.hssf.record">CellRecord</a></td>
                    <td class="colLast">
                        <div class="block">Base class for all cell value records (implementors of <a
                                href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                title="interface in org.apache.poi.hssf.record"><code>CellValueRecordInterface</code></a>).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CFHeader12Record.html"
                                            title="class in org.apache.poi.hssf.record">CFHeader12Record</a></td>
                    <td class="colLast">
                        <div class="block">Conditional Formatting Header v12 record CFHEADER12 (0x0879),
                            for conditional formattings introduced in Excel 2007 and newer.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CFHeaderBase.html"
                                            title="class in org.apache.poi.hssf.record">CFHeaderBase</a></td>
                    <td class="colLast">
                        <div class="block">Parent of Conditional Formatting Header records,
                            <a href="../../../../../org/apache/poi/hssf/record/CFHeaderRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>CFHeaderRecord</code></a> and <a
                                    href="../../../../../org/apache/poi/hssf/record/CFHeader12Record.html"
                                    title="class in org.apache.poi.hssf.record"><code>CFHeader12Record</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CFHeaderRecord.html"
                                            title="class in org.apache.poi.hssf.record">CFHeaderRecord</a></td>
                    <td class="colLast">
                        <div class="block">Conditional Formatting Header record CFHEADER (0x01B0).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                            title="class in org.apache.poi.hssf.record">CFRule12Record</a></td>
                    <td class="colLast">
                        <div class="block">Conditional Formatting v12 Rule Record (0x087A).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CFRuleBase.html"
                                            title="class in org.apache.poi.hssf.record">CFRuleBase</a></td>
                    <td class="colLast">
                        <div class="block">Conditional Formatting Rules.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/CFRuleBase.ComparisonOperator.html"
                            title="class in org.apache.poi.hssf.record">CFRuleBase.ComparisonOperator</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CFRuleRecord.html"
                                            title="class in org.apache.poi.hssf.record">CFRuleRecord</a></td>
                    <td class="colLast">
                        <div class="block">Conditional Formatting Rule Record (0x01B1).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CodepageRecord.html"
                                            title="class in org.apache.poi.hssf.record">CodepageRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Codepage Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ColumnInfoRecord.html"
                                            title="class in org.apache.poi.hssf.record">ColumnInfoRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: COLINFO Record (0x007D)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/CommonObjectDataSubRecord.html"
                            title="class in org.apache.poi.hssf.record">CommonObjectDataSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">The common object data record is used to store all common preferences for an
                            excel object.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                            title="class in org.apache.poi.hssf.record">ContinueRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Continue Record(0x003C) - Helper class used primarily for SST
                            Records
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CountryRecord.html"
                                            title="class in org.apache.poi.hssf.record">CountryRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Country Record (aka WIN.INI country)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CRNCountRecord.html"
                                            title="class in org.apache.poi.hssf.record">CRNCountRecord</a></td>
                    <td class="colLast">
                        <div class="block">XCT - CRN Count</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/CRNRecord.html"
                                            title="class in org.apache.poi.hssf.record">CRNRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: CRN(0x005A)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DateWindow1904Record.html"
                                            title="class in org.apache.poi.hssf.record">DateWindow1904Record</a></td>
                    <td class="colLast">
                        <div class="block">Title: Date Window 1904 Flag record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DBCellRecord.html"
                                            title="class in org.apache.poi.hssf.record">DBCellRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: DBCell Record (0x00D7)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DBCellRecord.Builder.html"
                                            title="class in org.apache.poi.hssf.record">DBCellRecord.Builder</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DConRefRecord.html"
                                            title="class in org.apache.poi.hssf.record">DConRefRecord</a></td>
                    <td class="colLast">
                        <div class="block">DConRef records specify a range in a workbook (internal or external) that
                            serves as a data source
                            for pivot tables or data consolidation.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DefaultColWidthRecord.html"
                                            title="class in org.apache.poi.hssf.record">DefaultColWidthRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Default Column Width Record (0x0055)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DefaultRowHeightRecord.html"
                                            title="class in org.apache.poi.hssf.record">DefaultRowHeightRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Default Row Height Record
                            Description: Row height for rows with undefined or not explicitly defined
                            heights.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DeltaRecord.html"
                                            title="class in org.apache.poi.hssf.record">DeltaRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Delta Record (0x0010)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DimensionsRecord.html"
                                            title="class in org.apache.poi.hssf.record">DimensionsRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Dimensions Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DrawingGroupRecord.html"
                                            title="class in org.apache.poi.hssf.record">DrawingGroupRecord</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DrawingRecord.html"
                                            title="class in org.apache.poi.hssf.record">DrawingRecord</a></td>
                    <td class="colLast">
                        <div class="block">DrawingRecord (0x00EC)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/DrawingRecordForBiffViewer.html"
                            title="class in org.apache.poi.hssf.record">DrawingRecordForBiffViewer</a></td>
                    <td class="colLast">
                        <div class="block">This is purely for the biff viewer.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DrawingSelectionRecord.html"
                                            title="class in org.apache.poi.hssf.record">DrawingSelectionRecord</a></td>
                    <td class="colLast">
                        <div class="block">MsoDrawingSelection (0x00ED)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DSFRecord.html"
                                            title="class in org.apache.poi.hssf.record">DSFRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Double Stream Flag Record (0x0161)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DVALRecord.html"
                                            title="class in org.apache.poi.hssf.record">DVALRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: DATAVALIDATIONS Record (0x01B2)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/DVRecord.html"
                                            title="class in org.apache.poi.hssf.record">DVRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: DATAVALIDATION Record (0x01BE)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/EmbeddedObjectRefSubRecord.html"
                            title="class in org.apache.poi.hssf.record">EmbeddedObjectRefSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">ftPictFmla (0x0009)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/EndSubRecord.html"
                                            title="class in org.apache.poi.hssf.record">EndSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">ftEnd (0x0000)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/EOFRecord.html"
                                            title="class in org.apache.poi.hssf.record">EOFRecord</a></td>
                    <td class="colLast">
                        <div class="block">End Of File record.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/EscherAggregate.html"
                                            title="class in org.apache.poi.hssf.record">EscherAggregate</a></td>
                    <td class="colLast">
                        <div class="block">This class is used to aggregate the MSODRAWING and OBJ record
                            combinations.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ExtendedFormatRecord.html"
                                            title="class in org.apache.poi.hssf.record">ExtendedFormatRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Extended Format Record
                            Description: Probably one of the more complex records.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ExternalNameRecord.html"
                                            title="class in org.apache.poi.hssf.record">ExternalNameRecord</a></td>
                    <td class="colLast">
                        <div class="block">EXTERNALNAME (0x0023)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                            title="class in org.apache.poi.hssf.record">ExternSheetRecord</a></td>
                    <td class="colLast">
                        <div class="block">EXTERNSHEET (0x0017)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ExtSSTRecord.html"
                                            title="class in org.apache.poi.hssf.record">ExtSSTRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Extended Static String Table (0x00FF)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/ExtSSTRecord.InfoSubRecord.html"
                            title="class in org.apache.poi.hssf.record">ExtSSTRecord.InfoSubRecord</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FeatHdrRecord.html"
                                            title="class in org.apache.poi.hssf.record">FeatHdrRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: FeatHdr (Feature Header) Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FeatRecord.html"
                                            title="class in org.apache.poi.hssf.record">FeatRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Feat (Feature) Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FilePassRecord.html"
                                            title="class in org.apache.poi.hssf.record">FilePassRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: File Pass Record (0x002F)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FileSharingRecord.html"
                                            title="class in org.apache.poi.hssf.record">FileSharingRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: FILESHARING (0x005B)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FnGroupCountRecord.html"
                                            title="class in org.apache.poi.hssf.record">FnGroupCountRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Function Group Count Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FontRecord.html"
                                            title="class in org.apache.poi.hssf.record">FontRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Font Record (0x0031)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FooterRecord.html"
                                            title="class in org.apache.poi.hssf.record">FooterRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Footer Record (0x0015)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FormatRecord.html"
                                            title="class in org.apache.poi.hssf.record">FormatRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Format Record (0x041E)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
                                            title="class in org.apache.poi.hssf.record">FormulaRecord</a></td>
                    <td class="colLast">
                        <div class="block">Formula Record (0x0006).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FtCblsSubRecord.html"
                                            title="class in org.apache.poi.hssf.record">FtCblsSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">This structure appears as part of an Obj record that represents a checkbox or
                            radio button.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FtCfSubRecord.html"
                                            title="class in org.apache.poi.hssf.record">FtCfSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">The FtCf structure specifies the clipboard format of the picture-type Obj
                            record containing this FtCf.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/FtPioGrbitSubRecord.html"
                                            title="class in org.apache.poi.hssf.record">FtPioGrbitSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">This structure appears as part of an Obj record that represents image display
                            properties.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/GridsetRecord.html"
                                            title="class in org.apache.poi.hssf.record">GridsetRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Gridset Record.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/GroupMarkerSubRecord.html"
                                            title="class in org.apache.poi.hssf.record">GroupMarkerSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">ftGmo (0x0006)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/GutsRecord.html"
                                            title="class in org.apache.poi.hssf.record">GutsRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Guts Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/HCenterRecord.html"
                                            title="class in org.apache.poi.hssf.record">HCenterRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: HCenter record (0x0083)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/HeaderFooterBase.html"
                                            title="class in org.apache.poi.hssf.record">HeaderFooterBase</a></td>
                    <td class="colLast">
                        <div class="block">Common header/footer base class</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/HeaderFooterRecord.html"
                                            title="class in org.apache.poi.hssf.record">HeaderFooterRecord</a></td>
                    <td class="colLast">
                        <div class="block">The HEADERFOOTER record stores information added in Office Excel 2007 for
                            headers/footers.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/HeaderRecord.html"
                                            title="class in org.apache.poi.hssf.record">HeaderRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Header Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/HideObjRecord.html"
                                            title="class in org.apache.poi.hssf.record">HideObjRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Hide Object Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/HorizontalPageBreakRecord.html"
                            title="class in org.apache.poi.hssf.record">HorizontalPageBreakRecord</a></td>
                    <td class="colLast">
                        <div class="block">HorizontalPageBreak (0x001B) record that stores page breaks at rows</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/HyperlinkRecord.html"
                                            title="class in org.apache.poi.hssf.record">HyperlinkRecord</a></td>
                    <td class="colLast">
                        <div class="block">The <code>HyperlinkRecord</code> (0x01B8) wraps an HLINK-record
                            from the Excel-97 format.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/IndexRecord.html"
                                            title="class in org.apache.poi.hssf.record">IndexRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Index Record (0x020B)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/InterfaceEndRecord.html"
                                            title="class in org.apache.poi.hssf.record">InterfaceEndRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Interface End Record (0x00E2)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/InterfaceHdrRecord.html"
                                            title="class in org.apache.poi.hssf.record">InterfaceHdrRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Interface Header Record (0x00E1)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/IterationRecord.html"
                                            title="class in org.apache.poi.hssf.record">IterationRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Iteration Record (0x0011)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/LabelRecord.html"
                                            title="class in org.apache.poi.hssf.record">LabelRecord</a></td>
                    <td class="colLast">
                        <div class="block">Label Record (0x0204) - read only support for strings stored directly in the
                            cell...
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/LabelSSTRecord.html"
                                            title="class in org.apache.poi.hssf.record">LabelSSTRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Label SST Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/LbsDataSubRecord.html"
                                            title="class in org.apache.poi.hssf.record">LbsDataSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">This structure specifies the properties of a list or drop-down list embedded
                            object in a sheet.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/LbsDataSubRecord.LbsDropData.html"
                            title="class in org.apache.poi.hssf.record">LbsDataSubRecord.LbsDropData</a></td>
                    <td class="colLast">
                        <div class="block">This structure specifies properties of the dropdown list control</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/LeftMarginRecord.html"
                                            title="class in org.apache.poi.hssf.record">LeftMarginRecord</a></td>
                    <td class="colLast">
                        <div class="block">Record for the left margin.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/MergeCellsRecord.html"
                                            title="class in org.apache.poi.hssf.record">MergeCellsRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Merged Cells Record (0x00E5)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/MMSRecord.html"
                                            title="class in org.apache.poi.hssf.record">MMSRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: MMS Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/MulBlankRecord.html"
                                            title="class in org.apache.poi.hssf.record">MulBlankRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Multiple Blank cell record(0x00BE)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/MulRKRecord.html"
                                            title="class in org.apache.poi.hssf.record">MulRKRecord</a></td>
                    <td class="colLast">
                        <div class="block">MULRK (0x00BD)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/NameCommentRecord.html"
                                            title="class in org.apache.poi.hssf.record">NameCommentRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: NAMECMT Record (0x0894)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/NameRecord.html"
                                            title="class in org.apache.poi.hssf.record">NameRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: DEFINEDNAME Record (0x0018)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
                                            title="class in org.apache.poi.hssf.record">NoteRecord</a></td>
                    <td class="colLast">
                        <div class="block">NOTE: Comment Associated with a Cell (0x001C)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/NoteStructureSubRecord.html"
                                            title="class in org.apache.poi.hssf.record">NoteStructureSubRecord</a></td>
                    <td class="colLast">
                        <div class="block">ftNts (0x000D)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                            title="class in org.apache.poi.hssf.record">NumberRecord</a></td>
                    <td class="colLast">
                        <div class="block">NUMBER (0x0203) Contains a numeric cell value.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ObjectProtectRecord.html"
                                            title="class in org.apache.poi.hssf.record">ObjectProtectRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Object Protect Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                            title="class in org.apache.poi.hssf.record">ObjRecord</a></td>
                    <td class="colLast">
                        <div class="block">OBJRECORD (0x005D)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/OldCellRecord.html"
                                            title="class in org.apache.poi.hssf.record">OldCellRecord</a></td>
                    <td class="colLast">
                        <div class="block">Base class for all old (Biff 2 - Biff 4) cell value records
                            (implementors of <a
                                    href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record"><code>CellValueRecordInterface</code></a>).
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/OldFormulaRecord.html"
                                            title="class in org.apache.poi.hssf.record">OldFormulaRecord</a></td>
                    <td class="colLast">
                        <div class="block">Formula Record (0x0006 / 0x0206 / 0x0406) - holds a formula in
                            encoded form, along with the value if a number
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/OldLabelRecord.html"
                                            title="class in org.apache.poi.hssf.record">OldLabelRecord</a></td>
                    <td class="colLast">
                        <div class="block">Biff2 - Biff 4 Label Record (0x0004 / 0x0204) - read only support for
                            strings stored directly in the cell, from the older file formats that
                            didn't use <a href="../../../../../org/apache/poi/hssf/record/LabelSSTRecord.html"
                                          title="class in org.apache.poi.hssf.record"><code>LabelSSTRecord</code></a>
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/OldSheetRecord.html"
                                            title="class in org.apache.poi.hssf.record">OldSheetRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Bound Sheet Record (aka BundleSheet) (0x0085) for BIFF 5</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/OldStringRecord.html"
                                            title="class in org.apache.poi.hssf.record">OldStringRecord</a></td>
                    <td class="colLast">
                        <div class="block">Biff2 - Biff 4 Label Record (0x0007 / 0x0207) - read only support for
                            formula string results.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PageBreakRecord.html"
                                            title="class in org.apache.poi.hssf.record">PageBreakRecord</a></td>
                    <td class="colLast">
                        <div class="block">Record that contains the functionality page breaks (horizontal and
                            vertical)
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PageBreakRecord.Break.html"
                                            title="class in org.apache.poi.hssf.record">PageBreakRecord.Break</a></td>
                    <td class="colLast">
                        <div class="block">Since both records store 2byte integers (short), no point in
                            differentiating it in the records.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PaletteRecord.html"
                                            title="class in org.apache.poi.hssf.record">PaletteRecord</a></td>
                    <td class="colLast">
                        <div class="block">PaletteRecord (0x0092) - Supports custom palettes.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PaneRecord.html"
                                            title="class in org.apache.poi.hssf.record">PaneRecord</a></td>
                    <td class="colLast">
                        <div class="block">Describes the frozen and unfrozen panes.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PasswordRecord.html"
                                            title="class in org.apache.poi.hssf.record">PasswordRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Password Record (0x0013)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PasswordRev4Record.html"
                                            title="class in org.apache.poi.hssf.record">PasswordRev4Record</a></td>
                    <td class="colLast">
                        <div class="block">Title: Protection Revision 4 password Record (0x01BC)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PrecisionRecord.html"
                                            title="class in org.apache.poi.hssf.record">PrecisionRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Precision Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PrintGridlinesRecord.html"
                                            title="class in org.apache.poi.hssf.record">PrintGridlinesRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Print Gridlines Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PrintHeadersRecord.html"
                                            title="class in org.apache.poi.hssf.record">PrintHeadersRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Print Headers Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/PrintSetupRecord.html"
                                            title="class in org.apache.poi.hssf.record">PrintSetupRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: PAGESETUP (0x00A1)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ProtectionRev4Record.html"
                                            title="class in org.apache.poi.hssf.record">ProtectionRev4Record</a></td>
                    <td class="colLast">
                        <div class="block">Title: Protection Revision 4 Record (0x01AF)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ProtectRecord.html"
                                            title="class in org.apache.poi.hssf.record">ProtectRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Protect Record (0x0012)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RecalcIdRecord.html"
                                            title="class in org.apache.poi.hssf.record">RecalcIdRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Recalc Id Record (0x01C1)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                            title="class in org.apache.poi.hssf.record">Record</a></td>
                    <td class="colLast">
                        <div class="block">All HSSF Records inherit from this class.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                                            title="class in org.apache.poi.hssf.record">RecordBase</a></td>
                    <td class="colLast">
                        <div class="block">Common base class of <a
                                href="../../../../../org/apache/poi/hssf/record/Record.html"
                                title="class in org.apache.poi.hssf.record"><code>Record</code></a> and <a
                                href="../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RecordFactory.html"
                                            title="class in org.apache.poi.hssf.record">RecordFactory</a></td>
                    <td class="colLast">
                        <div class="block">Title: Record Factory</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/RecordFactoryInputStream.html"
                            title="class in org.apache.poi.hssf.record">RecordFactoryInputStream</a></td>
                    <td class="colLast">
                        <div class="block">A stream based way to get at complete records, with
                            as low a memory footprint as possible.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                            title="class in org.apache.poi.hssf.record">RecordInputStream</a></td>
                    <td class="colLast">
                        <div class="block">Title: Record Input Stream

                            Description: Wraps a stream and provides helper methods for the construction of records.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RefModeRecord.html"
                                            title="class in org.apache.poi.hssf.record">RefModeRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: RefMode Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RefreshAllRecord.html"
                                            title="class in org.apache.poi.hssf.record">RefreshAllRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Refresh All Record (0x01B7)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RightMarginRecord.html"
                                            title="class in org.apache.poi.hssf.record">RightMarginRecord</a></td>
                    <td class="colLast">
                        <div class="block">Record for the right margin.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RKRecord.html"
                                            title="class in org.apache.poi.hssf.record">RKRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: RK Record (0x027E)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                            title="class in org.apache.poi.hssf.record">RowRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Row Record (0x0208)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/SaveRecalcRecord.html"
                                            title="class in org.apache.poi.hssf.record">SaveRecalcRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Save Recalc Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/ScenarioProtectRecord.html"
                                            title="class in org.apache.poi.hssf.record">ScenarioProtectRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Scenario Protect Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/SCLRecord.html"
                                            title="class in org.apache.poi.hssf.record">SCLRecord</a></td>
                    <td class="colLast">
                        <div class="block">Specifies the window's zoom magnification.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/SelectionRecord.html"
                                            title="class in org.apache.poi.hssf.record">SelectionRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Selection Record (0x001D)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                            title="class in org.apache.poi.hssf.record">SharedFormulaRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: SHAREDFMLA (0x04BC) SharedFormulaRecord
                            Description: Primarily used as an excel optimization so that multiple similar formulas
                            are not written out too many times.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/SharedValueRecordBase.html"
                                            title="class in org.apache.poi.hssf.record">SharedValueRecordBase</a></td>
                    <td class="colLast">
                        <div class="block">Common base class for <a
                                href="../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                title="class in org.apache.poi.hssf.record"><code>SharedFormulaRecord</code></a>, <a
                                href="../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                title="class in org.apache.poi.hssf.record"><code>ArrayRecord</code></a> and
                            <a href="../../../../../org/apache/poi/hssf/record/TableRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>TableRecord</code></a> which are have
                            similarities.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/SSTRecord.html"
                                            title="class in org.apache.poi.hssf.record">SSTRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Static String Table Record (0x00FC)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                            title="class in org.apache.poi.hssf.record">StandardRecord</a></td>
                    <td class="colLast">
                        <div class="block">Subclasses of this class (the majority of BIFF records) are
                            non-continuable.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/StringRecord.html"
                                            title="class in org.apache.poi.hssf.record">StringRecord</a></td>
                    <td class="colLast">
                        <div class="block">STRING (0x0207)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/StyleRecord.html"
                                            title="class in org.apache.poi.hssf.record">StyleRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Style Record (0x0293)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/SubRecord.html"
                                            title="class in org.apache.poi.hssf.record">SubRecord</a></td>
                    <td class="colLast">
                        <div class="block">Subrecords are part of the OBJ class.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/SupBookRecord.html"
                                            title="class in org.apache.poi.hssf.record">SupBookRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Sup Book - EXTERNALBOOK (0x01AE)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/TabIdRecord.html"
                                            title="class in org.apache.poi.hssf.record">TabIdRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Sheet Tab Index Array Record (0x013D)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/TableRecord.html"
                                            title="class in org.apache.poi.hssf.record">TableRecord</a></td>
                    <td class="colLast">
                        <div class="block">DATATABLE (0x0236)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/TableStylesRecord.html"
                                            title="class in org.apache.poi.hssf.record">TableStylesRecord</a></td>
                    <td class="colLast">
                        <div class="block">TABLESTYLES (0x088E)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html"
                                            title="class in org.apache.poi.hssf.record">TextObjectRecord</a></td>
                    <td class="colLast">
                        <div class="block">The TXO record (0x01B6) is used to define the properties of a text box.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/TopMarginRecord.html"
                                            title="class in org.apache.poi.hssf.record">TopMarginRecord</a></td>
                    <td class="colLast">
                        <div class="block">Record for the top margin.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/UncalcedRecord.html"
                                            title="class in org.apache.poi.hssf.record">UncalcedRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Uncalced Record</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/UnknownRecord.html"
                                            title="class in org.apache.poi.hssf.record">UnknownRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Unknown Record (for debugging)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/UserSViewBegin.html"
                                            title="class in org.apache.poi.hssf.record">UserSViewBegin</a></td>
                    <td class="colLast">
                        <div class="block">The UserSViewBegin record specifies settings for a custom view associated
                            with the sheet.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/UserSViewEnd.html"
                                            title="class in org.apache.poi.hssf.record">UserSViewEnd</a></td>
                    <td class="colLast">
                        <div class="block">The UserSViewEnd record marks the end of the settings for a custom view
                            associated with the sheet
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/UseSelFSRecord.html"
                                            title="class in org.apache.poi.hssf.record">UseSelFSRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: USESELFS (0x0160) - Use Natural Language Formulas Flag</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/VCenterRecord.html"
                                            title="class in org.apache.poi.hssf.record">VCenterRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: VCenter record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/VerticalPageBreakRecord.html"
                            title="class in org.apache.poi.hssf.record">VerticalPageBreakRecord</a></td>
                    <td class="colLast">
                        <div class="block">VerticalPageBreak (0x001A) record that stores page breaks at columns</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/WindowOneRecord.html"
                                            title="class in org.apache.poi.hssf.record">WindowOneRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Window1 Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/WindowProtectRecord.html"
                                            title="class in org.apache.poi.hssf.record">WindowProtectRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Window Protect Record (0x0019)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/WindowTwoRecord.html"
                                            title="class in org.apache.poi.hssf.record">WindowTwoRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Window Two Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/WriteAccessRecord.html"
                                            title="class in org.apache.poi.hssf.record">WriteAccessRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Write Access Record (0x005C)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/WriteProtectRecord.html"
                                            title="class in org.apache.poi.hssf.record">WriteProtectRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: Write Protect Record</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hssf/record/WSBoolRecord.html"
                                            title="class in org.apache.poi.hssf.record">WSBoolRecord</a></td>
                    <td class="colLast">
                        <div class="block">Title: WSBOOL (0x0081) (called SHEETPR in OOO doc)</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Exception Summary table, listing exceptions, and an explanation">
                <caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Exception</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hssf/record/RecordInputStream.LeftoverDataException.html"
                            title="class in org.apache.poi.hssf.record">RecordInputStream.LeftoverDataException</a></td>
                    <td class="colLast">
                        <div class="block">For use in <a href="../../../../../org/apache/poi/hssf/dev/BiffViewer.html"
                                                         title="class in org.apache.poi.hssf.dev"><code>BiffViewer</code></a>
                            which may construct <a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                   title="class in org.apache.poi.hssf.record"><code>Record</code></a>s
                            that don't completely
                            read all available data.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.hssf.record Description">Package org.apache.poi.hssf.record Description</h2>
    <div class="block">Record package contains class representations for XLS binary strutures. Its very
        low level.

        <h2>Related Documentation</h2>

        For overviews, tutorials, examples, guides, and tool documentation, please see:
        <ul>
            <li><a href="http://poi.apache.org">Apache POI Project</a>
        </ul>

        <!-- Put @see and @since tags down here. --></div>
    <dl>
        <dt><span class="seeLabel">See Also:</span></dt>
        <dd><a href="../../../../../org/apache/poi/hssf/eventmodel/package-summary.html"><code>org.apache.poi.hssf.eventmodel</code></a>,
            <a href="../../../../../org/apache/poi/hssf/record/RecordFactory.html"
               title="class in org.apache.poi.hssf.record"><code>RecordFactory</code></a></dd>
    </dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/model/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
